Name:       python-slip
Version:    0.6.5
Release:    4
Summary:    Library for Python 2.x with Convenience, extension and workaround
License:    GPLv2+
URL:        https://github.com/nphilipp/%{name}
Source0:    https://github.com/nphilipp/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2

BuildArch:  noarch
BuildRequires:  python2 python2-devel python3 python3-devel

%description
The Simple Library for Python 2.x and Python 3.x packages contain
miscellaneous code for convenience, extension and workaround purposes. 
This package provides the "slip" and the "slip.util" modules.

%package -n python2-slip
Summary:    Convenience, extension and workaround code for Python 2.x
Requires:   python2-libselinux python2-six python2-decorator
Requires:   python2-slip = %{version}-%{release}
Requires:   python2-dbus >= 0.80
%{?python_provide:%python_provide python2-slip}
%{?python_provide:%python_provide python2-slip-dbus}
Provides:	python2-slip-dbus
Obsoletes:  python2-slip-dbus

%description -n python2-slip
Slip for Python 2.x packages

%package -n python3-slip
Summary:    Convenience, extension and workaround code for Python 3.x
Requires:   python3-libselinux python3-decorator python3-six
Requires:   python3-slip = %{version}-%{release}
Requires:   python3-dbus >= 0.80
Provides:   python3-slip = %{version}-%{release}
Provides:   python3-slip-dbus = %{version}-%{release}
Obsoletes:  python3-slip-dbus

%description -n python3-slip
Slip for Python 3.x packages

%package -n python2-slip-gtk
Summary:    Code to make auto-wrapping gtk labels
Requires:   python2-slip = %{version}-%{release}
Requires:   pygtk2
%{?python_provide:%python_provide python2-slip-gtk}

%description -n python2-slip-gtk
Auto-wrapping function for Python 2.x packages 

%prep
%autosetup

rm -rf %{py3dir}
cp -a . %{py3dir} 
find %{py3dir} -name '*.py' -o -name '*.py.in' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%make_build PYTHON=%{__python2}

cd %{py3dir}
%make_build PYTHON=%{__python3}
cd ..

%install
%make_install PYTHON=%{__python2}

cd %{py3dir}
%make_install PYTHON=%{__python3}
cd ..

%files -n python2-slip
%doc doc/dbus
%license COPYING
%dir %{python2_sitelib}/slip/
%{python2_sitelib}/slip/__init__.py*
%{python2_sitelib}/slip/util
%{python2_sitelib}/slip/_wrappers
%{python2_sitelib}/slip/dbus
%{python2_sitelib}/slip*-%{version}-py%{python2_version}.egg-info
%exclude %{python2_sitelib}/slip.gtk-%{version}-py%{python2_version}.egg-info

%files -n python3-slip
%doc doc/dbus
%license COPYING
%dir %{python3_sitelib}/slip/
%{python3_sitelib}/slip/__pycache__
%{python3_sitelib}/slip/__init__.py*
%{python3_sitelib}/slip/util
%{python3_sitelib}/slip/_wrappers
%{python3_sitelib}/slip/dbus
%{python3_sitelib}/slip*-%{version}-py%{python3_version}.egg-info

%files -n python2-slip-gtk
%{python2_sitelib}/slip/gtk
%{python2_sitelib}/slip.gtk-%{version}-py%{python2_version}.egg-info

%changelog
* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.6.5-4
- provides python2-slip-dbus

* Fri Oct 18 2019 Yufa Fang <fangyufa1@huawei.com> - 0.6.5-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec in openEuler rule

* Thu Sep 19 2019 Yufa Fang <fangyufa1@huawei.com> - 0.6.5-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: split python2-slip-gtk for python2-slip

* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.5-1 
- Package Init
